summary refs log tree commit diff stats
path: root/ranger
diff options
context:
space:
mode:
authorhut <hut@lavabit.com>2013-02-05 03:13:57 +0100
committerhut <hut@lavabit.com>2013-02-05 03:13:57 +0100
commitf76d20ca46b8bd08423de3f2d56e8a7037329859 (patch)
treee6ccbfa35a3f5a103f8f6687abc4392a405f4b41 /ranger
parentf9e0d5be06b9a39307fbb94b7474427d165c5bd2 (diff)
downloadranger-f76d20ca46b8bd08423de3f2d56e8a7037329859.tar.gz
data/scope.sh: trim output of highlight
Diffstat (limited to 'ranger')
-rwxr-xr-xranger/data/scope.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/ranger/data/scope.sh b/ranger/data/scope.sh
index d17d24de..8a0f20c4 100755
--- a/ranger/data/scope.sh
+++ b/ranger/data/scope.sh
@@ -70,7 +70,7 @@ esac
 case "$mimetype" in
     # Syntax highlight for text files:
     text/* | */xml)
-		try highlight --out-format=ansi "$path" && { dump; exit 5; } || exit 2;;
+		try highlight --out-format=ansi "$path" && { dump | trim; exit 5; } || exit 2;;
     # Ascii-previews of images:
     image/*)
         img2txt --gamma=0.6 --width="$width" "$path" && exit 4 || exit 1;;